com.aliyun.svideosdk.common

## Class AliyunFontStyle

- java.lang.Object
- - AliyunObject
  - - com.aliyun.svideosdk.common.AliyunFontStyle

-     public class AliyunFontStyle
      extends AliyunObject

  Font Style

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunFontStyle(ISource aFontSource)`
    `AliyunFontStyle(ISource aFontSource, float aFontSize, AliyunTypeface aTypeface)`
    `AliyunFontStyle(java.lang.String aFontPath, float aFontSize, AliyunTypeface aTypeface)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFontPath()` get the font path or font name of the caption Added in v3.22.0
    `float` | `getFontSize()` Get the font size radio Added in v3.22.0
    `ISource` | `getFontSource()` Get Font Source Added in v3.23.0
    `AliyunTypeface` | `getTypeface()` Set the font typeface style Added in v3.22.0
    `void` | `setFontPath(java.lang.String aFontPath)` Set the font name or font path, the font path must begin with file:// Added in v3.22.0
    `void` | `setFontSize(float aFontSize)` Set the font size in pixels Added in v3.22.0
    `void` | `setFontSource(ISource fontSource)` Set Font Source Added in v3.23.0
    `void` | `setTypeface(AliyunTypeface aTypeface)` Set the font typeface style Added in v3.22.0

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunFontStyle

          public AliyunFontStyle(java.lang.String aFontPath,
                                 float aFontSize,
                                 AliyunTypeface aTypeface)

    - #### AliyunFontStyle

          public AliyunFontStyle(ISource aFontSource)

    - #### AliyunFontStyle

          public AliyunFontStyle(ISource aFontSource,
                                 float aFontSize,
                                 AliyunTypeface aTypeface)

  - ### Method Detail

    - #### getFontPath

          public java.lang.String getFontPath()

      get the font path or font name of the caption Added in v3.22.0

    - #### setFontPath

          public void setFontPath(java.lang.String aFontPath)

      Set the font name or font path, the font path must begin with file:// Added in v3.22.0
      Parameters:
        `aFontPath` - the font name or font path, the font path must begin with file://

    - #### getFontSource

          public ISource getFontSource()

      Get Font Source Added in v3.23.0

    - #### setFontSource

          public void setFontSource(ISource fontSource)

      Set Font Source Added in v3.23.0

    - #### getFontSize

          public float getFontSize()

      Get the font size radio Added in v3.22.0

    - #### setFontSize

          public void setFontSize(float aFontSize)

      Set the font size in pixels Added in v3.22.0
      Parameters:
        `aFontSize` - font size radio

    - #### getTypeface

          public AliyunTypeface getTypeface()

      Set the font typeface style Added in v3.22.0

    - #### setTypeface

          public void setTypeface(AliyunTypeface aTypeface)

      Set the font typeface style Added in v3.22.0
      Parameters:
        `aTypeface` - the font typeface style
      See Also:
        `AliyunFontStyle`